type: prog

uuid: 00009103-1b43-0502-2022-111600000002

titre: Les boucles For pour lire tous les éléments d'une liste

niveau: Intermédiaire

description: Apprendre à utiliser la boucle For pour lire tous les éléments d'une liste.

énoncé: |
 Parfois il est utile de traiter tous les éléments d'une liste, peu importe la taille de la liste.  Construisez maintenant l'instruction `Foreach` pour afficher tous les éléments obtenus par la commande `Get-ChildItem -Path /tmp/montest`.  Utilisez le nom de variable `Fichier` dans votre boucle `Foreach`.  La commande `Get-ChildItem` doit apparaitre dans la condition `Foreach`.
 
  À faire:

  1. Compléter script pour remplacer les `??` par la condition qui permettra de traiter tous les éléments de la liste.
  2. Étudier attentivement la syntaxe de la boucle foreach.
  3. Exécuter le script et corriger les erreurs s'il y a lieu.

ébauches:
    powershell: !include exec.powershell

rétroactions:
    positive: Bravo! tu as réussi à utiliser une boucle for pour lire les éléments retournée par une commande!
    négative: Faites une recherche sur le web pour trouver des informations sur les boucles `foreach` dans PowerShell.

tests: !include tests.yml

auteur: Gilles Lacasse
licence: 2022 CC-BY-SA
